//
//  CVUUIElementFamily.swift
//  Memri
//
//  Created by T Brennan on 28/1/21.
//

import Foundation

/// This enum contains the supported CVU UI elements. The rawValue is a lowercase representation so that all comparisons can be case-insensitive
public enum CVUUIElementFamily: String, CaseIterable, Codable {
    case ForEach = "foreach"
    case VStack = "vstack"
    case HStack = "hstack"
    case ZStack = "zstack"
    case FlowStack = "flowstack"
    case Text = "text"
    case SmartText = "smarttext"
    case Textfield = "textfield"
    case Image = "image"
    case Toggle = "toggle"
    case Picker = "picker"
    case MemriButton = "memributton"
    case MessageComposer = "messagecomposer"
    case Button = "button"
    case ActionButton = "actionbutton"
    case Map = "map"
    case Empty = "empty"
    case Spacer = "spacer"
    case Divider = "divider"
    case HorizontalLine = "horizontalline"
    case Circle = "circle"
    case Rectangle = "rectangle"
    case EditorSection = "editorsection"
    case EditorRow = "editorrow"
    case SubView = "subview"
    case HTMLView = "htmlview"
    case TimelineItem = "timelineitem"
    case FileThumbnail = "filethumbnail"
    case Grid = "grid"
}
