//
//  CVUContext.swift
//  MemriDatabase
//
//  Created by T Brennan on 7/12/20.
//

import Foundation

struct CVUContext: Equatable {
    var currentItem: ItemRecord?
    var items: [ItemRecord] = []
    var selector: String?
    var viewName: String?
    var rendererName: String?
    var viewDefinition: CVUDefinitionContent = CVUDefinitionContent()
    var viewArguments: CVUViewArguments?
    
    func replacingItem(_ item: ItemRecord) -> CVUContext {
        var result = self
        result.currentItem = item
        return result
    }
    
    var currentIndex: Int {
        guard let item = currentItem else {
            return 0
        }
        
        return items.firstIndex(of: item) ?? 0
    }
}
