//
//  CVUViewArguments.swift
//  Memri
//
//  Created by T Brennan on 28/1/21.
//

import Foundation

class CVUViewArguments: Equatable, Codable {
    init(args: [String: CVUValue] = [:], argumentItem: ItemRecord? = nil, parentArguments: CVUViewArguments? = nil) {
        self.args = args
        self.argumentItem = argumentItem
        self.parentArguments = parentArguments
    }
    
    // The view arguments
    let args: [String: CVUValue]
    
    // The item that is `.` when resolving these view arguments
    let argumentItem: ItemRecord?
    
    // The view arguments of the parent view (used to resolve)
    let parentArguments: CVUViewArguments?
    
    static func == (lhs: CVUViewArguments, rhs: CVUViewArguments) -> Bool {
        lhs.args == rhs.args && lhs.argumentItem == rhs.argumentItem && lhs.parentArguments == rhs.parentArguments
    }
}
