//
// Languages.swift
// Copyright © 2020 memri. All rights reserved.

import Foundation

public class Languages {
    var currentLanguage: String = "English"
    var keywords: [String: CVUValue] = [:]

    public func load(_ definitions: [CVUParsedDefinition]) {
        for def in definitions {
            if def.name == currentLanguage {
                for (keyword, naturalLanguageString) in def.parsed.properties {
                    if keywords[keyword] != nil {
                        print("Keyword already exists \(keyword) for language \(currentLanguage)")
                    }
                    else {
                        keywords[keyword] = naturalLanguageString
                    }
                }
            }
        }
    }
}
