//
// collection.swift
// Copyright © 2020 memri. All rights reserved.

import Foundation

extension Collection {
    /// Returns the element at the specified index if it is within bounds, otherwise nil.
    subscript(safe index: Index) -> Element? {
        indices.contains(index) ? self[index] : nil
    }
}

extension Collection {
    var nilIfEmpty: Self? {
        if self.isEmpty { return nil }
        else { return self }
    }
}

extension Array {
    mutating func appendOptional(_ element: Element?) {
        if let element = element {
            self.append(element)
        }
    }
}
