//
// CVU_Text.swift
// Copyright © 2020 memri. All rights reserved.

import SwiftUI

/// A CVU element for displaying text
/// - Set the `text` property to the desired content
/// - Set the `font` property to change text appearance
/// - Set the `color` property to change text color
struct CVU_EditorRow: View {
    var nodeResolver: CVUUINodeResolver

    @ViewBuilder
    var header: some View {
        if let text = nodeResolver.propertyResolver.string("title") {
            Text(text).bold()
        }
        else {
            EmptyView()
        }
    }

    var content: some View {
        nodeResolver.childrenInForEach()
    }

    var body: some View {
        let someContent = content
        
        VStack(alignment: .leading, spacing: 0) {
            header.padding(.vertical, 4)
            someContent
        }
        .frame(maxWidth: .infinity, alignment: nodeResolver.propertyResolver.alignment())
        .if(!nodeResolver.propertyResolver.bool("nopadding", defaultValue: false)) { $0.padding(.horizontal) }
    }
}
