//
//  CVU_TextField.swift
//  Memri

import Foundation
import SwiftUI

/// A CVU element for displaying an editable textfield
/// - Set the `value` property to an expression representing the item property to be edited
/// - Set the `hint` property to change the text displayed when the field is empty
/// - Set the `secure` to `true` to obscure content (eg. password field)
/// - Set the `color` property to change text color
struct CVU_FlowStack: View {
    var nodeResolver: CVUUINodeResolver
    
    var content: [ItemRecord] {
       return nodeResolver.propertyResolver.items("list")
    }

    var body: some View {
        FlowStack(
            data: self.content,
            spacing: self.nodeResolver.propertyResolver.spacing ?? CGPoint.zero
        ) { listItem in
            return nodeResolver.childrenInForEach(usingItem: listItem)
        }
    }
}
