//
//  CVU_MessageComposer.swift
//  Memri
//
//  Created by Chaitanya Pandit on 28/07/21.
//

import SwiftUI

struct CVU_MessageComposer: View {
    @State private var isEditingComposedMessage: Bool = false
    @State var composedMessage: String?

    var nodeResolver: CVUUINodeResolver

    var body: some View {
        VStack(spacing: 0) {
            Divider()
            HStack(spacing: 6) {
                MemriFittedTextEditor(
                    contentBinding: $composedMessage,
                    placeholder: "Type a message...",
                    backgroundColor: CVUColor.system(.systemBackground),
                    isEditing: $isEditingComposedMessage
                )

                Button(action: onPressSend) {
                    Image(systemName: "arrow.up.circle.fill")
                        .foregroundColor(canSend ? .blue : Color(.systemFill))
                        .font(.system(size: 30))
                }
                .disabled(!canSend)
            }
            .padding(.vertical, 10)
            .padding(.leading, 15)
            .padding(.trailing, 15)
            .background(Color(.secondarySystemBackground))
            Divider()
        }
    }
    
    var canSend: Bool {
        !(composedMessage?.isOnlyWhitespace ?? true)
    }
    
    func onPressSend() {
        isEditingComposedMessage = false
    }
}
