//
// CVU_Shape.swift
// Copyright © 2020 memri. All rights reserved.

import SwiftUI

enum CVU_Shape {
    /// A CVU element for displaying a circle
    struct Circle: View {
        var nodeResolver: CVUUINodeResolver
        var body: some View {
            SwiftUI.Circle().fill(nodeResolver.propertyResolver.color()?.color ?? .clear)
        }
    }

    /// A CVU element for displaying a rectangle
    struct Rectangle: View {
        var nodeResolver: CVUUINodeResolver
        var body: some View {
            SwiftUI.RoundedRectangle(cornerRadius: nodeResolver.propertyResolver.cornerRadius())
                .fill(nodeResolver.propertyResolver.color()?.color ?? .clear)
        }
    }
}
