//
//  OptionalDatePicker.swift
//  Memri
//
//  Created by T Brennan on 6/2/21.
//

import SwiftUI

struct OptionalDatePicker: View {
    var title: String
    var selection: Binding<Date?>
    var initialSet: Date = Date()

    var body: some View {
        HStack {
            Text(title)
            Spacer()
            if let unwrappedBinding = Binding(selection) {
                DatePicker(selection: unwrappedBinding,
                           displayedComponents: .date,
                           label: { EmptyView() })
                Button(action: {
                    selection.wrappedValue = nil
                }) {
                    Image(systemName: "xmark.circle")
                        .padding(5)
                }.buttonStyle(BorderlessButtonStyle())
            } else {
                Button("Set") {
                    selection.wrappedValue = initialSet
                }.buttonStyle(BorderlessButtonStyle())
            }
        }
        .frame(minHeight: 40)
    }
}
