//
//  FilterPanelSortItemView.swift
//  Memri
//
//  Created by Chaitanya Pandit on 26/04/21.
//

import SwiftUI

struct FilterPanelSortItemView: View {
    var property: String
    var selection: Binding<String?>
    
    var body: some View {
        HStack {
            Text(property.camelCaseToWords())
                .if(selection.wrappedValue == property) { $0.bold() }
            Spacer()
            if selection.wrappedValue == property {
                Button(action: {
                    selection.wrappedValue = nil
                }) {
                    Image(systemName: "xmark.circle")
                        .padding(5)
                }.buttonStyle(BorderlessButtonStyle())
            } else {
                Button("Set") {
                    selection.wrappedValue = property
                }.buttonStyle(BorderlessButtonStyle())
            }
        }
        .frame(minHeight: 40)
    }
}
