//
//  CustomRenderer.swift
//  Memri

import Foundation
import SwiftUI

struct CustomRendererView: View {
    @EnvironmentObject var sceneController: SceneController
    @ObservedObject var viewContext: ViewContextController

    var nodeDefinition: CVUDefinitionContent? {
        guard let viewName = viewContext.config.viewName else {
            return viewContext.config.viewDefinition.definitions.first?.parsed
        }
        
        return viewContext.cvuController.viewDefinitionFor(viewName: viewName)
    }
    
    var body: some View {
        if let nodeDefinition = self.nodeDefinition {
            viewContext.render(nodeDefinition: nodeDefinition)
        } else {
            Text("No onboarding view defined")
        }
    }
}
