//
// ListRenderer.swift
// Copyright © 2020 memri. All rights reserved.

import ASCollectionView
import Combine
import Foundation
import SwiftUI


struct SingleItemRendererView: View {
    @ObservedObject var viewContext: ViewContextController

    var body: some View {
        let insets = viewContext.rendererDefinitionPropertyResolver.nsEdgeInset ?? .zero
        let backgroundColor = viewContext.rendererDefinitionPropertyResolver.backgroundColor ?? CVUColor.system(.systemBackground)
        
        Group {
            if let item = viewContext.focusedItem ?? viewContext.items.first {
                viewContext.render(item: item, items: viewContext.items)
            } else {
                Text("No item selected")
            }
        }
        .frame(maxWidth: .infinity, maxHeight: .infinity)
        .padding(EdgeInsets(insets))
        .background(backgroundColor.color)
    }
}
